#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Array
%define	pnam	RefElem
%include	/usr/lib/rpm/macros.perl
Summary:	Array::RefElem - set up array elements as aliases
Summary(pl.UTF-8):	Array::RefElem - ustawianie elementów tablicy jako aliasów
Name:		perl-Array-RefElem
Version:	1.00
Release:	16
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/G/GA/GAAS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43ff2dd2049258634cb00697198572d1
URL:		http://search.cpan.org/dist/Array-RefElem/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives direct access to some of the internal Perl routines
that let you store things in arrays and hashes.

%description -l pl.UTF-8
Ten moduł daje bezpośredni dostęp do niektórych wewnętrznych funkcji
Perla pozwalających zapisywać różne rzeczy w tablicach i haszach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Array
%{perl_vendorarch}/Array/*.pm
%dir %{perl_vendorarch}/auto/Array
%dir %{perl_vendorarch}/auto/Array/RefElem
%attr(755,root,root) %{perl_vendorarch}/auto/Array/RefElem/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Array-RefElem.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3ef7776
- perl req/prov fix
- release 16 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d410392
- rebuild with perl 5.26
- release 15 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8e6baad
- rebuild with perl 5.24.0
- release 14 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 701133f
- release 13 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d486ab1
- x32 rebuild
- release 12 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 767aa25
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 72de8fd
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 636ac47
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 30385e5
- rebuild for perl 5.20
- release 10 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 02c1384
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 2313129
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 5df850d
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ee0dea9
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 1bc2159
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 98cd9e7
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 1fd9635
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fe335f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dead27
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 03706a7
- use macros in Source0 URL

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 9593b8d
- pl

